complexType "AdjustableDatesOrRelativeDateOffset"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | adjustableDates? | relativeDate?
</...>

Content Model Elements (2):

  adjustableDates (defined in AdjustableDatesOrRelativeDateOffset complexType),
  relativeDate (defined in AdjustableDatesOrRelativeDateOffset complexType)

All Direct / Indirect Based Elements (2):

  fixingDates,
  paymentDates (defined in CommodityNonPeriodicPaymentDates.model group)

Known Usage Locations

- As direct type of elements (2):
  fixingDates,
  paymentDates (defined in CommodityNonPeriodicPaymentDates.model group)

Annotation
A type for defining a series of dates, either as a list of adjustable dates, or a as a repeating sequence from a base date
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AdjustableDatesOrRelativeDateOffset"> <xsd:choice> <xsd:element minOccurs="0" name="adjustableDates" type="AdjustableDates"/> <xsd:element minOccurs="0" name="relativeDate" type="RelativeDateOffset"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
adjustableDates

  Type: | AdjustableDates, complex content

  A series of adjustable dates
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustableDates" type="AdjustableDates"/>

relativeDate

  Type: | RelativeDateOffset, complex content

  A series of dates specified as a repeating sequence from a base date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeDate" type="RelativeDateOffset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.